org.eclipse.gef.dot.internal

## Class DotExtractor

- java.lang.Object
- - org.eclipse.gef.dot.internal.DotExtractor

    public class DotExtractor
    extends java.lang.Object

The DotExtractor is responsible for extracting the dot graph definitions from arbitrary text files.

### Constructor Summary

Constructors
Constructor and Description
`DotExtractor(java.io.File file)`
`DotExtractor(java.lang.String input)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDotString()`
`java.io.File` `getDotTempFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotExtractor

    public DotExtractor(java.lang.String input)

Parameters:
  `input` - The string to extract a DOT graph substring from

#### DotExtractor

    public DotExtractor(java.io.File file)

Parameters:
  `file` - The file to extract a DOT substring from

### Method Detail

#### getDotString

    public java.lang.String getDotString()

Returns:
  A DOT string extracted from the input, or the `NO_DOT` constant, a valid DOT graph

#### getDotTempFile

    public java.io.File getDotTempFile()

Returns:
  A temporary file containing the DOT string extracted from the input, or the `NO_DOT` constant, a valid DOT graph